Get app config
curl --request GET \
--url https://{tenant}.cubecloud.dev/api/v1/app-config \
--header 'Authorization: Bearer <token>'{
"applyThemeGlobally": true,
"appTheme": {
"dark": {
"accentColor": "<string>",
"backgroundColor": "<string>",
"contrast": 123,
"foregroundColor": "<string>",
"logoUrl": "<string>"
},
"light": {
"accentColor": "<string>",
"backgroundColor": "<string>",
"contrast": 123,
"foregroundColor": "<string>",
"logoUrl": "<string>"
},
"typography": {
"body": {
"fontRef": "<string>",
"fontWeight": 123
},
"fonts": [
{
"format": "<string>",
"id": "<string>",
"url": "<string>",
"family": "<string>",
"name": "<string>"
}
],
"heading": {
"fontRef": "<string>",
"fontWeight": 123
}
}
},
"creatorMode": {
"showWorkspaceTitle": true,
"workspaceTitle": "<string>"
}
}App Theme
Get app config
GET
/
v1
/
app-config
Get app config
curl --request GET \
--url https://{tenant}.cubecloud.dev/api/v1/app-config \
--header 'Authorization: Bearer <token>'{
"applyThemeGlobally": true,
"appTheme": {
"dark": {
"accentColor": "<string>",
"backgroundColor": "<string>",
"contrast": 123,
"foregroundColor": "<string>",
"logoUrl": "<string>"
},
"light": {
"accentColor": "<string>",
"backgroundColor": "<string>",
"contrast": 123,
"foregroundColor": "<string>",
"logoUrl": "<string>"
},
"typography": {
"body": {
"fontRef": "<string>",
"fontWeight": 123
},
"fonts": [
{
"format": "<string>",
"id": "<string>",
"url": "<string>",
"family": "<string>",
"name": "<string>"
}
],
"heading": {
"fontRef": "<string>",
"fontWeight": 123
}
}
},
"creatorMode": {
"showWorkspaceTitle": true,
"workspaceTitle": "<string>"
}
}⌘I